## net.i2p.util
Class OrderedProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  net.i2p.util.OrderedProperties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class OrderedProperties

extends java.util.Properties

Properties map that has its keySet ordered consistently (via the key's lexicographical ordering). This is useful in environments where maps must stay the same order (e.g. for signature verification) This does NOT support remove against the iterators / etc.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`OrderedProperties()`

Method Summary
`void` `clear()`
`java.lang.Object` `clone()`
`boolean` `contains(java.lang.Object value)`
`boolean` `containsKey(java.lang.Object key)`
`boolean` `containsValue(java.lang.Object value)`
`java.util.Enumeration` `elements()`
`java.util.Set` `entrySet()`
`boolean` `equals(java.lang.Object obj)`
`java.lang.Object` `get(java.lang.Object key)`
`java.lang.String` `getProperty(java.lang.String key)`
`int` `hashCode()`
`boolean` `isEmpty()`
`java.util.Enumeration` `keys()`
`java.util.Set` `keySet()`
`void` `list(java.io.PrintStream out)`
`void` `list(java.io.PrintWriter out)`
`void` `load(java.io.InputStream in)`
`static void` `main(java.lang.String[] args)`
`java.util.Enumeration` `propertyNames()`
`java.lang.Object` `put(java.lang.Object key, java.lang.Object val)`
`void` `putAll(java.util.Map data)`
`java.lang.Object` `remove(java.lang.Object key)`
`java.lang.Object` `setProperty(java.lang.String key, java.lang.String val)`
`int` `size()`
`void` `store(java.io.OutputStream out, java.lang.String header)`
`java.util.Collection` `values()`

Methods inherited from class java.util.Properties
`getProperty, load, loadFromXML, save, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`rehash, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OrderedProperties

    public OrderedProperties()

Method Detail

### contains

    public boolean contains(java.lang.Object value)

  Overrides:
    `contains` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `containsKey` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `containsValue` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `equals` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `hashCode` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `isEmpty` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### getProperty

    public java.lang.String getProperty(java.lang.String key)

  Overrides:
    `getProperty` in class `java.util.Properties`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `get` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### setProperty

    public java.lang.Object setProperty(java.lang.String key,
                                        java.lang.String val)

  Overrides:
    `setProperty` in class `java.util.Properties`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object val)

  Specified by:
    `put` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `put` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### putAll

    public void putAll(java.util.Map data)

  Specified by:
    `putAll` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `putAll` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `clear` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `size` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `remove` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `keySet` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `entrySet` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `values` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### elements

    public java.util.Enumeration elements()

  Overrides:
    `elements` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### keys

    public java.util.Enumeration keys()

  Overrides:
    `keys` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

### propertyNames

    public java.util.Enumeration propertyNames()

  Overrides:
    `propertyNames` in class `java.util.Properties`

### list

    public void list(java.io.PrintStream out)

  Overrides:
    `list` in class `java.util.Properties`

### list

    public void list(java.io.PrintWriter out)

  Overrides:
    `list` in class `java.util.Properties`

### load

    public void load(java.io.InputStream in)

  Overrides:
    `load` in class `java.util.Properties`

### store

    public void store(java.io.OutputStream out,
                      java.lang.String header)

  Overrides:
    `store` in class `java.util.Properties`

### main

    public static void main(java.lang.String[] args)